import java.lang.reflect.*;

public class Circle {
   int radius = 0;
   Point center = null;

   public Circle (int radius, Point center) {
      this.radius = radius;
      this.center = center;
   }

   public int getRadius () {
      return radius;
   }
   public void setRadius (int radius) {
      this.radius = radius;
   }

   public Point getCenter () {
      return center;
   }
   public void setCenter (Point center) {
      this.center = center;
   }

   public String toString() {
      java.util.Hashtable h = new java.util.Hashtable();
      Class cls = getClass();
      Field[] fields = cls.getDeclaredFields();
      //AccessibleObject.setAccessible(fields, true);
      for(int i=0; i<fields.length; i++) {
         try {
            h.put(fields[i].getName(), fields[i].get(this) + "\n");
         }
         catch(IllegalAccessException e) {}
      }    
      if(cls.getSuperclass().getSuperclass() != null) {
         h.put("super", super.toString());
      }
      return cls.getName() + "\n" + h;
   }

}
