import java.lang.reflect.*;
import java.util.Vector;

public class Person {
   // Primary key attribute
   String  name;

   // many-to-one array relationship with residences attribute
   House[] residences;

   // many-to-one collection relationship with vehicles attribute
   Vector  vehicles; // Vector of Vehicle


   // The no-argument constructor, reqd by dbMapper
   public Person() {
   }

   // Other constructors
   public Person (String name, House[] residences, Vector vehicles) {
      this.name = name;
      this.residences = residences;
      this.vehicles = vehicles;
   }

   // Getter/Setter methods for attributes
   public String getName () { return name; }
   public House[] getHouses () { return residences; }
   public Vector getVehicles () { return vehicles; }

   public void setName (String name) { this.name = name; }
   public void setHouses (House[] residences) { this.residences = residences; }
   public void setVehicles (Vector vehicles) { this.vehicles = vehicles; }


   public String toString() {
      java.util.Hashtable h = new java.util.Hashtable();
      Class cls = getClass();
      Field[] fields = cls.getDeclaredFields();
      //AccessibleObject.setAccessible(fields, true);
      for(int i=0; i<fields.length; i++) {
         try {
            h.put(fields[i].getName(), fields[i].get(this) + "\n");
         }
         catch(IllegalAccessException e) {}
      }    
      if(cls.getSuperclass().getSuperclass() != null) {
         h.put("super", super.toString());
      }
      return cls.getName() + "\n" + h;
   }


}
