@rem DB Mapper installation directory
set DBMAPPER_ROOT=..\..

@rem Directory that contains the thirdparty jar files used by dbMapper package.
@rem All these jar files are provided with the dbMapper distribution.
@rem If you choose to use a different version for these thirdparty products,
@rem make sure the CLASSPATH environment variable is set accordingly.
set EXT_LIB=%DBMAPPER_ROOT%\thirdparty
set EXT_LIB_CLASSPATH=%EXT_LIB%\xerces.jar;%EXT_LIB%\jdom.jar;%EXT_LIB%\log4j.jar

@rem JDBC driver classpath for your RDBMS product
set DRIVER_CLASSPATH=C:\Oracle\Ora81\jdbc\lib\classes12.zip


@rem Setting Classpath
set MYCLASSPATH=classes;%DBMAPPER_ROOT%\lib\dbmapper.jar;%EXT_LIB_CLASSPATH%;%DRIVER_CLASSPATH%;%CLASSPATH%;
echo Using classpath: %MYCLASSPATH%
echo .

@rem Validate the dbmapper xml files
java -cp %MYCLASSPATH% com.nec.tdd.tools.dbMapper.Validator data\dbmapper.xml

