#!/bin/sh

# DB Mapper installation directory
DBMAPPER_ROOT=..

#Directory that contains the thirdparty jar files used by dbMapper package.
#All these jar files are provided with the dbMapper distribution.
#If you choose to use a different version for these thirdparty products,
#make sure the CLASSPATH environment variable is set accordingly.
EXT_LIB=$DBMAPPER_ROOT/thirdparty
EXT_LIB_CLASSPATH=$EXT_LIB/xerces.jar:$EXT_LIB/jdom.jar:$EXT_LIB/log4j.jar

#JDBC driver classpath for your RDBMS product
DRIVER_CLASSPATH=hsqldb/hsqldb.jar


#Setting Classpath
MYCLASSPATH=./classes:./images:$DBMAPPER_ROOT/lib/dbmapper.jar:$EXT_LIB_CLASSPATH:$DRIVER_CLASSPATH:$CLASSPATH
echo Using classpath: $MYCLASSPATH
echo .

#Run the example
java -cp $MYCLASSPATH MyFrame

